> ## Documentation Index
> Fetch the complete documentation index at: https://docs.simplismart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Flux Dev API

> Generate high-quality images using the Flux model



## OpenAPI

````yaml openapi-specs/playground/flux-dev.yaml POST /model/infer/flux
openapi: 3.0.1
info:
  title: FLUX DEV API
  description: High-quality image generation services using state-of-the-art models.
  version: 1.0.0
  contact:
    email: support@simplismart.ai
servers:
  - url: https://http.flux.proxy.prod.s9t.link
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: Image Generation
    description: AI image generation services using state-of-the-art models
paths:
  /model/infer/flux:
    post:
      tags:
        - Image Generation
      summary: Generate images using Flux model
      description: Generate high-quality images using the Flux model
      operationId: generateImage
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ImageGenerationRequest'
            example:
              prompt: >-
                Minimalist photography, beautiful mermaid with long hair covered
                with seashells and seagras, under water, sad face, heterochromia
                eyes blue and black, 8k, intricate detailed, eyes closed
              height: 1024
              width: 1024
              seed: 129232030
              num_inference_steps: 50
              num_images_per_prompt: 1
              guidance_scale: 7
              negative_prompt: cartoon-like
              lora_weights: ''
      responses:
        '200':
          description: Successful image generation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImageGenerationResponse'
        '400':
          description: Invalid request parameters
        '401':
          description: Unauthorized - Invalid token
        '500':
          description: Internal server error
components:
  schemas:
    ImageGenerationRequest:
      type: object
      required:
        - prompt
      properties:
        prompt:
          type: string
          description: Text description of the image to generate
        height:
          type: integer
          description: Height of the generated image in pixels
          minimum: 256
          maximum: 1024
          default: 1024
        width:
          type: integer
          description: Width of the generated image in pixels
          minimum: 256
          maximum: 1024
          default: 1024
        seed:
          type: integer
          description: Random seed for reproducible generation
        num_inference_steps:
          type: integer
          description: Number of denoising steps
          minimum: 1
          maximum: 150
          default: 50
        num_images_per_prompt:
          type: integer
          description: Number of images to generate
          minimum: 1
          maximum: 4
          default: 1
        guidance_scale:
          type: number
          description: How closely to follow the prompt
          minimum: 1
          maximum: 20
          default: 7
        negative_prompt:
          type: string
          description: Text description of what to avoid in the generated image
        lora_weights:
          type: string
          description: LoRA weights configuration
          default: ''
    ImageGenerationResponse:
      type: object
      required:
        - images
        - time_taken
        - duration
      properties:
        images:
          type: array
          description: Array of generated images in base64 format
          items:
            type: string
            format: base64
        time_taken:
          type: number
          description: Inference time in seconds
        duration:
          type: number
          description: Total processing time including queuing in seconds
        seed:
          type: integer
          description: The seed used for generation
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token for authentication

````